> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create User

> This endpoint creates a new `user`.

Call this endpoint to create a new user. Atrium will respond with the newly-created `user` object if successful.

This endpoint accepts several parameters: `identifier`, `metadata`, and `is_disabled`. The `identifier` and `metadata` fields are [discussed in detail in the API overview](/api-reference/atrium/#identifiers-and-metadata).

Disabling a `user` means that accounts and transactions associated with it will not be updated in the background by MX. It will also restrict access to that user's data until they are no longer disabled.

None of these parameters are required, but the `user` object cannot be empty.

<ParamField body="identifier" type="string" />

<ParamField body="is_disabled" type="string" />

<ParamField body="metadata" type="string" />

<RequestExample>
  ```shell Request theme={null}
  curl -i -X POST 'https://vestibule.mx.com/users' \  -H 'Accept: application/vnd.mx.atrium.v1+json' \  -H 'Content-Type: application/json' \  -H 'MX-API-Key: {mx_api_key}' \  -H 'MX-Client-ID: {mx_client_id}' \  -d '{        "user": {          "identifier": "unique_id",          "metadata": "{\"first_name\": \"Steven\"}"        }      }'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "user": {
      "guid": "USR-fa7537f3-48aa-a683-a02a-b18940482f54",
      "identifier": "unique_id",
      "is_disabled": false,
      "metadata": "{\"first_name\": \"Steven\"}"
    }
  }
  ```
</ResponseExample>
